<template>
  <view>
    <web-view :src="src"></web-view>
  </view>
</template>

<script>
export default {
  data() {
    return {
      src: `https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx6271d6fc90b56ff6&redirect_uri=${encodeURIComponent(
        "https://iot-park.idea-sf.com"
      )}&response_type=code&scope=snsapi_base&state=123#wechat_redirect`,
    };
  },
  created() {},
  mounted() {
    console.log(this.src);
    this.getOpenIds();
  },
  methods: {
    getParameterByName(name, url) {
      if (!url) url = window.location.href;
      name = name.replace(/[\[\]]/g, "\\$&");
      // 匹配所有符合条件的，并取最后一个
      var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)", "g");
      var results = url.match(regex);
      var tempResults =
        results != null && results[results.length - 1] != undefined
          ? results[results.length - 1]
          : "";
      var finalResults = regex.exec(tempResults);
      if (!finalResults) return "";
      if (!finalResults[2]) return "";
      return decodeURIComponent(finalResults[2].replace(/\+/g, " "));
    },

    // name: 你需要从地址栏中获取到的数据字段，例如：id、code等等 必填
    // url: 需要从什么链接中获取字段 非必填
    // 获取openId
    getOpenIds() {
      const code = this.getParameterByName("code"); // 这个code就是用户的公众号openid
      const id = this.getParameterByName("id"); // 这个id就是从小程序跳转时带的参数
      alert(code, id);
    },
  },
};
</script>

<style scoped>
</style>
